#ifndef STRUCTS
#define STRUCTS

#include <Eigen/Eigen>

using namespace Eigen;

//! Struct that holds the x and y coordinate for each node
struct Node
{
	std::vector<int> depElem;	//!< std::vector containing a list of connected elements.
	std::vector<int> depIEG;	//!<std::vector containing internal numbering of node in connected elements.
	double x, y;
	double xp, yp;
	double sigmaAxial;	//!< Stress due to axial force
	double NofX, NofY;	//!< Normal stresses due to Mx and My.
	MatrixXd tau;	//!< 2x1 matrix containing tauXZ and tauYZ.
};

#endif